Botan 1.10.17

Namespaces | Macros
es_win32.cpp File Reference
`#include <botan/internal/es_win32.h>`
`#include <windows.h>`
`#include <tlhelp32.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | TOOLHELP32_ITER(DATA_TYPE, FUNC_FIRST, FUNC_NEXT)

## Macro Definition Documentation

## ◆ TOOLHELP32_ITER

#define TOOLHELP32_ITER | ( |  | DATA_TYPE,
|  |  | FUNC_FIRST,
|  |  | FUNC_NEXT
| ) |  |

Value:
if(!accum.polling_goal_achieved()) \
{ \
DATA_TYPE info; \
info.dwSize = sizeof(DATA_TYPE); \
if(FUNC_FIRST(snapshot, &info)) \
{ \
do \
{ \
accum.add(info, 1); \
} while(FUNC_NEXT(snapshot, &info)); \
} \
}

Referenced by Botan::Win32_EntropySource::poll().